import { defineComponent as n, computed as o, openBlock as u, createBlock as a, unref as m, normalizeProps as p, mergeProps as l, createCommentVNode as c } from "vue";
import { Badge as s } from "@aplus-frontend/antdv";
const _ = /* @__PURE__ */ n({
  name: "ApTableStatus",
  __name: "index",
  props: {
    valueEnum: {},
    value: {}
  },
  setup(t) {
    const e = t, r = o(() => e.valueEnum[e.value]);
    return (d, f) => r.value ? (u(), a(m(s), p(l({ key: 0 }, r.value)), null, 16)) : c("", !0);
  }
});
export {
  _ as default
};
